Update Link Types Custom
Updates a custom link type.
Updates a custom link type.
Authorization
auth-token
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The updated name of the link in the backward direction.
textWhether the link type is deprecated.
The updated name of the link in the forward direction.
textThe ID of the custom link type to update.
idWhether the link type is deprecated.
The updated name of the custom link type.
textTypes from which a link can be made.
Types to which a link can be made.
The updated tooltip of the custom link type.
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/link-types.custom.update" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"custom_link_type": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"backward_name": "string",
"forward_name": "string",
"is_deprecated": true,
"max_hops": 0,
"name": "string",
"source_types": [
{
"is_custom_leaf_type": true,
"leaf_only": true,
"leaf_type": "string",
"subtype": "string"
}
],
"target_types": [
{
"is_custom_leaf_type": true,
"leaf_only": true,
"leaf_type": "string",
"subtype": "string"
}
],
"tooltip": "string"
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "unauthenticated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}